//
//		OLED display IS evaluation board program
//
//			ExtFunc.h
//			external reference data, prototypes of functions
//
//			Date	:	2008/08/28
//			Author	:	Y.Kinukawa
//			Ver		:	1.00
//
#ifdef	MAIN
	#define	EXTERN
#else
	#define	EXTERN	extern
#endif

EXTERN	FSFILE		*Fd;						//	variable for file-access

EXTERN	unsigned	char	MainLoop;			//	flag for main loop
EXTERN	unsigned	char	SdAccess;			//	flag for SD card access
EXTERN	unsigned	char	ModeChange;			//	flag for display mode

EXTERN	unsigned	short	DspFile;			//	flag for displaying a file
EXTERN	unsigned	short	DspLoop;			//	flag for display counter
EXTERN	unsigned	short	DspOffset;			//	data output counter

EXTERN	char	FileName[16];					//	display file name
EXTERN	char	DspBuff[( SIZE * BUFF )];		//	file read buffer
EXTERN	unsigned 	short	buffer;							// buffer size

EXTERN	unsigned	short	FileNum;			//	display file number
EXTERN	unsigned	char	PowLedCnt;			//	PowerLED blink counter

EXTERN	unsigned	short	DipSw;				//	rotary switch input value
EXTERN	unsigned	short	BfrDipSw;			//	rotary switch previous input value

EXTERN	unsigned	char	PrgMode;			//	operation mode
EXTERN	unsigned	char	DspMode;			//	display mode
EXTERN	unsigned	char	DevType;			// @flag for OLED IS devices (switch or display)
EXTERN	unsigned	char	BfrPrgMode;			//	previous operation mode
EXTERN	unsigned	char	BfrDspMode;			//	previous display mode

EXTERN	unsigned	char	IsSw;				//	OLED switch
EXTERN	unsigned	char	SdCd;				//	SD card detection
EXTERN	unsigned	char	BfrIsSw;			//	OLED switch previous status
EXTERN	unsigned	char	BfrSdCd;			//	SD card previous status

EXTERN	unsigned	short	Vcc;				//	Vcc analog value
EXTERN	unsigned	short	Vref;				//	Vref analog value

EXTERN	unsigned	char	VccErr;				//	Vcc voltage error flag
EXTERN	unsigned	char	VrefErr;			//	Vref voltage error flag

EXTERN	unsigned	short	IntervalCnt;		//	display interval counter
EXTERN	unsigned	short	FileInterval;		//	display interval

EXTERN	unsigned	short	MaxFileCount[2];	//	number of display files

#ifdef	MAIN
const
#else
extern
#endif											//	number of data input for display file
		unsigned	char	LoopCnt[2]
#ifdef	MAIN
		=	{	LOOP_256,	LOOP_64K		}
#endif
;

#ifdef	MAIN
const
#else
extern
#endif											//	directory for display files
		char	*DspDir[2][2]
#ifdef	MAIN
		=	{{FILE_DIR_256_d,FILE_DIR_64K_d},{FILE_DIR_256,FILE_DIR_64K}}
//		=	{{"256d","65536d"},{"256","65536"}}
#endif
;

#ifdef	MAIN
const
#else
extern
#endif											//	directory for display files (for changing directories)
		char	*ChgDir[2][2]
#ifdef	MAIN
		=	{{CHG_DIR_256_d,CHG_DIR_64K_d},{CHG_DIR_256,CHG_DIR_64K}}
//		=	{{"256d","65536d"},{"256","65536"}}
#endif
;

#ifdef	MAIN
const
#else
extern
#endif											//	display file names
		char	*BaseFile[2]
#ifdef	MAIN
		=	{	BASE_FILE_256,	BASE_FILE_64K	}
#endif
;

#ifdef	MAIN
const
#else
extern
#endif											//	display file names (for search)
		char	*FindFile[2]
#ifdef	MAIN
		=	{	FIND_FILE_256,	FIND_FILE_64K	}
#endif
;

//		initial settings
void	InterruptEnable( void );
void	TimerInit( void );						//	initial settings for Timer
void	AdcInit( void );						//	initial settings for A/D converter
void	ExtIntInit( void );						//	initial settings for external interruption
void	ExtSwInit( void );						//	initial settings for external switches
void	LedInit( void );						//	initial settings for LED
void	SPI1Init( void );						//	initial settings for SPI1
void	SPI2Init( void );						//	initial settings for SPI2

//		LED control
void	SetLED( void );							//	LED initial status

void	SetLED1( unsigned char );				//	LED1 control
void	SetLED2( unsigned char );				//	LED2 control
void	SetLED3( unsigned char );				//	LED3 control
void	SetLED4( unsigned char );				//	LED4 control
void	SetLED5( unsigned char );				//	LED5 control
void	SetLED6( unsigned char );				//	LED6 control

void	BlinkLED1( void );						//	LED1 blink control
void	BlinkLED2( void );						//	LED2 blink control
void	BlinkLED3( void );						//	LED3 blink control
void	BlinkLED4( void );						//	LED4 blink control
void	BlinkLED5( void );						//	LED5 blink control
void	BlinkLED6( void );						//	LED6 blink control

//		LED control
void	OledAdrInit( void );					//	OLED address settings
void	OledDspMode( void );					//	OLED display mode settings
void	OledInit( void );						//	OLED initial settings
void	SetDCLine( unsigned char );				//	D/C line settings
void	SetSSLine( unsigned char );				//	SS (SPI) settings
void	OledWrite( unsigned char );				//	data writing to OLED
void	OledComSend( const unsigned char * );	//	command transfer to OLED
void	OledDataSend( char *, int );			//	data transfer to OLED

//		
void	GetFileCount( void );					//	to get the number of display files in SD card
void	IncFileNum( void );						//	incrementing display file number
void	DecFileNum( void );						//	decrementing display file number
