//
//		OLED display IS evaluation board program
//
//			Io_port.h
//			I/O port definitions, labels for constants
//
//			Date	:	2008/08/28
//			Author	:	Y.Kinukawa
//			Ver		:	1.00
//

//	output port
#define	LED1_PORT	PORTAbits.RA4
#define	LED2_PORT	PORTBbits.RB4
#define	LED3_PORT	PORTAbits.RA8
#define	LED4_PORT	PORTAbits.RA3
#define	LED5_PORT	PORTAbits.RA2
#define	LED6_PORT	PORTCbits.RC2

#define	OLED_DC		PORTCbits.RC0
#define	OLED_SS		PORTCbits.RC1
#define	OLED_RST	PORTAbits.RA1
//	input port
#define	IS_SW		PORTAbits.RA0

#define	TGL_SW1		PORTAbits.RA10
#define	TGL_SW2		PORTAbits.RA7

#define	SD_CD		PORTCbits.RC9

#define	EXT_DIP_B0	PORTBbits.RB5
#define	EXT_DIP_B1	PORTBbits.RB6
#define	EXT_DIP_B2	PORTBbits.RB7
#define	EXT_DIP_B3	PORTBbits.RB8

#define	RE_RIGHT	PORTBbits.RB11
#define	RE_LEFT		PORTBbits.RB10

//	constants
#define	IN				1
#define	OUT				0

#define	ON				0
#define	OFF				1

#define	SET				1
#define	RESET			0

#define	HI				1
#define	LOW				0

#define	CMD				0
#define	DAT				1

#define	LSB				0x01
#define	NON				0xff

#define	MODE_A			1
#define	MODE_B			0

#define	LEVEL_OK		(-1)
#define	VCC_ERR_LEVEL	0x0200
#define	VREF_ERR_LEVEL	0x0200

#define	BLINK100		10
#define	BLINK250		25
#define	BLINK500		50

//	#define	BASE_INTERVAL	50
//	#define	INTERVAL_CNT	25

#define	BASE_INTERVAL	30
#define	INTERVAL_CNT	8

#define	BUFF			256
#define BUFF_d			156
#define	SIZE			3

#define	LOOP_256		4
#define	LOOP_64K		8

#define	FILE_DIR_256	"256"
#define	FILE_DIR_64K	"65536"
#define	FILE_DIR_256_d	"256d"
#define	FILE_DIR_64K_d	"65536d"

#define	ROOT_DIR		"\\"
#define	CHG_DIR_256		"..\\256"
#define	CHG_DIR_64K		"..\\65536"
#define	CHG_DIR_256_d	"..\\256d"
#define	CHG_DIR_64K_d	"..\\65536d"

#define	BASE_FILE_256	"image08."
#define	BASE_FILE_64K	"image16."

#define	FIND_FILE_256	"image08.*"
#define	FIND_FILE_64K	"image16.*"
