//
//		OLED display IS evaluation board program
//
//			LedContoroll.c
//			LED control program
//
//			Date	:	2008/08/28
//			Author	:	Y.Kinukawa
//			Ver		:	1.00
//
#include	"p24FJ32GA004.h"

#include	"GenericTypeDefs.h"
#include	"FSIO.h"

#include	"Io_port.h"
#include	"ExtFunc.h"

//
//		LED initial status
//
void	SetLED( void )	{
	SetLED1( ON );
	SetLED2( ON );
	SetLED3( OFF );
	SetLED4( OFF );
	SetLED5( OFF );
	SetLED6( OFF );
}

//
//		LED1 control
//
//		OFF(1)	:	lights OFF
//		ON(0)	:	lights ON
//
void	SetLED1( unsigned char sw )	{

	//	LED1 SW control (On/Off)
	PORTAbits.RA4	=	( sw & LSB );
}

//
//		LED2 control
//
//		OFF(1)	:	lights OFF
//		ON(0)	:	lights ON
//
void	SetLED2( unsigned char sw )	{

	//	LED2 SW control (On/Off)
	PORTBbits.RB4	=	( sw & LSB );
}

//
//		LED3 control
//
//		OFF(1)	:	lights OFF
//		ON(0)	:	lights ON
//
void	SetLED3( unsigned char sw )	{

	//	LED3 SW control (On/Off)
	PORTAbits.RA8	=	( sw & LSB );
}

//
//		LED4 control
//
//		OFF(1)	:	lights OFF
//		ON(0)	:	lights ON
//
void	SetLED4( unsigned char sw )	{

	//	LED4 SW control (On/Off)
	PORTAbits.RA3	=	( sw & LSB );
}

//
//		LED5 control
//
//		OFF(1)	:	lights OFF
//		ON(0)	:	lights ON
//
void	SetLED5( unsigned char sw )	{

	//	LED5 SW control (On/Off)
	PORTAbits.RA2	=	( sw & LSB );
}

//
//		LED6 control
//
//		OFF(1)	:	lights OFF
//		ON(0)	:	lights ON
//
void	SetLED6( unsigned char sw )	{

	//	LED6 SW control (On/Off)
	PORTCbits.RC2	=	( sw & LSB );
}

//
//		LED1@blink control
//
void	BlinkLED1( void )	{

	//	LED1 blink control
	PORTAbits.RA4	^=	SET;
}

//
//		LED2 blink control
//
void	BlinkLED2( void )	{

	//	LED2 blink control
	PORTBbits.RB4	^=	SET;
}

//
//		LED3 blink control
//
void	BlinkLED3( void )	{

	//	LED3 blink control
	PORTAbits.RA8	^=	SET;
}

//
//		LED4 blink control
//
void	BlinkLED4( void )	{

	//	LED4 blink control
	PORTAbits.RA3	^=	SET;
}

//
//		LED5 blink control
//
void	BlinkLED5( void )	{

	//	LED5 blink control
	PORTAbits.RA2	^=	SET;
}

//
//		LED6 blink control
//
void	BlinkLED6( void )	{

	//	LED6 blink control
	PORTCbits.RC2	^=	SET;
}
